package com.lanyuanxiaoyao.service.configuration;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author lanyuanxiaoyao
 * @date 2023-07-03
 */
@ConfigurationProperties("spring.security.meta")
@Component
public class SecurityProperties {
    private String authority;
    private String username;
    private String darkcode;

    public String getAuthority() {
        return authority;
    }

    public void setAuthority(String authority) {
        this.authority = authority;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getDarkcode() {
        return darkcode;
    }

    public void setDarkcode(String darkcode) {
        this.darkcode = darkcode;
    }

    @Override
    public String toString() {
        return "SecurityProperties{" +
                "authority='" + authority + '\'' +
                ", username='" + username + '\'' +
                ", darkcode='" + darkcode + '\'' +
                '}';
    }
}
